6.0.0-git
2019-03-23

[#8340] bad xml response returned by calendar.browse
Summary bad xml response returned by calendar.browse
Queue Kronolith
Queue Version 2.3.1
Type Bug
State Not A Bug
Priority 1. Low
Owners
Requester rpolli (at) babel (dot) it
Created 2009-06-10 (3573 days ago)
Due
Updated 2009-06-16 (3567 days ago)
Assigned 2009-06-11 (3572 days ago)
Resolved 2009-06-11 (3572 days ago)
Milestone
Patch No

History
2009-06-16 10:39:37 Jan Schneider Comment #11 Reply to this comment
Please take this to the mailing list, this not a support forum. Also, 
your are still only working with PEAR SOAP package, not the PHP soap 
extension.
2009-06-16 10:35:49 rpolli (at) babel (dot) it Comment #10 Reply to this comment
I upgraded all pear pkgs as quoted down.

On which system (php/distro) do you run horde?

thx again,

R.

---
the latest version? If yes, try installing the soap extension instead.
root:/var/www/horde-webmail# pear install soap

pear/soap is already installed and is the same as the released version 0.12.0



     * PEAR Search Path (PHP's include_path):   
/var/www/horde-webmail/lib:/var/www/horde-webmail/lib/../pear

     * PEAR: Yes

     * Recent PEAR: Yes

     * Mail: Yes

     * Mail_Mime: Yes

     * Mail_mimeDecode: Yes

     * Log: Yes

     * DB: Yes

     * MDB2: Yes

     * Net_Socket: Yes

     * Date: Yes

     * Auth_SASL: Yes

     * HTTP_Request: Yes

     * HTTP_WebDAV_Server: Yes

     * Net_SMTP: Yes

     * Services_Weather: Yes

     * Cache: Yes

     * XML_Serializer: Yes






2009-06-16 10:19:27 Jan Schneider Comment #9 Reply to this comment
I'm using the released distributed with horde. Do I have to use
/usr/share/php instead?
No, you should have the latest version then. But still:
the latest version? If yes, try installing the soap extension instead.
2009-06-16 09:58:10 rpolli (at) babel (dot) it Comment #8 Reply to this comment
Looks like your are using PEAR SOAP on the server-side. Do you use
the latest version? If yes, try installing the soap extension instead.
# PEAR Search Path (PHP's include_path):   
/var/www/horde-webmail/lib:/var/www/horde-webmail/lib/../pear



I'm using the released distributed with horde. Do I have to use 
/usr/share/php instead?
2009-06-11 11:02:07 Jan Schneider State ⇒ Not A Bug
 
2009-06-11 11:01:17 Jan Schneider Comment #7 Reply to this comment
Looks like your are using PEAR SOAP on the server-side. Do you use the 
latest version? If yes, try installing the soap extension instead.
2009-06-11 10:52:39 rpolli (at) babel (dot) it Comment #6 Reply to this comment
I don't see such responses with either the soap or PhpSoap RPC server
backend.
sorry, it seems it's related to that complex-type issue.. re-enabling 
the wsdl request in ./lib/Horde/RPC/soap.php  the response is ok.



so, my fault..*sorry* :( anyway I'm still wondering if there's a way 
to avoid that



Peace, R.
2009-06-11 10:44:08 rpolli (at) babel (dot) it Comment #5 Reply to this comment
I don't see such responses with either the soap or PhpSoap RPC server
backend.
Communication trace follows, hih



(Pdb) server.calendar.browse("user01",None)

*** Outgoing SOAP ******************************************************

<?xml version="1.0" encoding="UTF-8"?>

<SOAP-ENV:Envelope

   SOAP-ENV:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"

   xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/"

   xmlns:xsi="http://www.w3.org/1999/XMLSchema-instance"

   xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/"

   xmlns:xsd="http://www.w3.org/1999/XMLSchema"
<SOAP-ENV:Body>

<ns1:calendar.browse xmlns:ns1="urn:horde" SOAP-ENC:root="1">

<v1 xsi:type="xsd:string">user01</v1>

<v2 xsi:null="1"/>

</ns1:calendar.browse>

</SOAP-ENV:Body>

</SOAP-ENV:Envelope>

************************************************************************

*** Incoming SOAP ******************************************************

<?xml version="1.0" encoding="UTF-8"?>

<SOAP-ENV:Envelope

  xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/"

  xmlns:xsd="http://www.w3.org/2001/XMLSchema"

  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"

  xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/"

  xmlns:ns4="urn:horde"

  SOAP-ENV:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/">

<SOAP-ENV:Body>

<ns4:calendar.browseResponse>

<return xsi:type="ns4:hashHash">

<kronolith/user01/user01>

<name xsi:type="xsd:string">Events from user01's Calendar</name>

<icon 
xsi:type="xsd:string">/horde-webmail/kronolith/themes/graphics/kronolith.png</icon>

<browseable xsi:type="xsd:boolean">true</browseable></kronolith/user01/user01>

<kronolith/user01/user01.ics>

<name xsi:type="xsd:string">user01's Calendar</name>

<icon 
xsi:type="xsd:string">/horde-webmail/kronolith/themes/graphics/mime/icalendar.png</icon>

<browseable 
xsi:type="xsd:boolean">false</browseable></kronolith/user01/user01.ics></return></ns4:calendar.browseResponse>

</SOAP-ENV:Body>

</SOAP-ENV:Envelope>

************************************************************************

*** SAXParseException: <unknown>:12:11: not well-formed (invalid token)




2009-06-11 10:23:41 Jan Schneider Comment #4 Reply to this comment
I don't see such responses with either the soap or PhpSoap RPC server backend.
2009-06-11 08:58:42 rpolli (at) babel (dot) it Comment #3 Reply to this comment
How are you accessing the method to get that response?
that's a python howto http://vaunaspada.babel.it/blog/?p=128



the python call is:
server.calendar.browse("user1/user1/", [ "modified"])
Let me know + Peace,

R.
2009-06-11 03:50:05 Chuck Hagenbuch Comment #2
State ⇒ Feedback
Reply to this comment
How are you accessing the method to get that response?
2009-06-10 14:49:39 Jan Schneider Priority ⇒ 1. Low
Milestone ⇒
 
2009-06-10 14:19:35 rpolli (at) babel (dot) it Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 3. High
Summary ⇒ bad xml response returned by calendar.browse
Queue ⇒ Kronolith
Milestone ⇒ 2.3.1
Patch ⇒ No
Reply to this comment
calendar.browse return xml claimed as bad from SAX (both java and python)

maybe slashes can't be part of one tag..



<kronolith/user/cal>



...

</kronolith/user/cal>



<kronolith/user/cal.ics>



...

</kronolith/user/cal.ics>




Saved Queries